[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / ExpandRowContentDirective

# Class: ExpandRowContentDirective\<Data\>

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-content.directive.ts:15](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-content.directive.ts#L15)

## Type Parameters

• **Data** *extends* `Record`\<`string`, `any`\>

## Constructors

### new ExpandRowContentDirective()

> **new ExpandRowContentDirective**\<`Data`\>(`template`): [`ExpandRowContentDirective`](ExpandRowContentDirective.md)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-content.directive.ts:23](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-content.directive.ts#L23)

#### Parameters

##### template

`TemplateRef`\<[`ExpandCellContentDirectiveContext`](../interfaces/ExpandCellContentDirectiveContext.md)\<`Data`\>\>

#### Returns

[`ExpandRowContentDirective`](ExpandRowContentDirective.md)\<`Data`\>

## Properties

### template

> `readonly` **template**: `TemplateRef`\<[`ExpandCellContentDirectiveContext`](../interfaces/ExpandCellContentDirectiveContext.md)\<`Data`\>\>

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-content.directive.ts:25](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-content.directive.ts#L25)

## Methods

### ngTemplateContextGuard()

> `static` **ngTemplateContextGuard**\<`Data`\>(`dir`, `ctx`): `ctx is ExpandCellContentDirectiveContext<Data>`

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-content.directive.ts:18](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-content.directive.ts#L18)

#### Type Parameters

• **Data** *extends* `Record`\<`string`, `any`\>

#### Parameters

##### dir

[`ExpandRowContentDirective`](ExpandRowContentDirective.md)\<`Data`\>

##### ctx

`any`

#### Returns

`ctx is ExpandCellContentDirectiveContext<Data>`
